Debian Bug report logs - #553235
libgoffice-0-4-dbg: missing-dependency-on-libc needed by ./usr/lib/debug/libgoffice-0.so.4.0.2 but the package doesn't depend on the C library package. Normally this indicates that ${shlibs: Depends} was omitted from the Depends line for this package in debian/control.

version graph

Package: libgoffice-0-4-dbg; Maintainer for libgoffice-0-4-dbg is (unknown);

Reported by: Manoj Srivastava <srivasta@debian.org>

Date: Thu, 29 Oct 2009 19:18:01 UTC

Severity: serious

Found in version goffice0.4/0.4.2-4

Fixed in version goffice0.4/0.4.2-4.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#553235; Package libgoffice-0-4-dbg. (Thu, 29 Oct 2009 19:18:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
New Bug report received and forwarded. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). (Thu, 29 Oct 2009 19:18:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libgoffice-0-4-dbg: missing-dependency-on-libc needed by ./usr/lib/debug/libgoffice-0.so.4.0.2 but the package doesn't depend on the C library package. Normally this indicates that ${shlibs: Depends} was omitted from the Depends line for this package in debian/control.
Date: Thu, 29 Oct 2009 12:53:20 -0500
Package: libgoffice-0-4-dbg
Version: 0.4.2-4
Severity: serious
Justification: The listed file appears to be linked against the C library,
User: lintian-maint@debian.org
Usertags: missing-dependency-on-libc

All shared libraries and compiled binaries must be run through dpkg-shlibdeps to
find out any libraries they are linked against (often via the dh_shlibdeps
debhelper command). The package containing these files must then depend on
${shlibs:Depends} in debian/control to get the proper package dependencies for
those libraries.

Refer to Debian Policy Manual section 8.6 (Dependencies between the library and
other packages - the shlibs system) for details.

,----[ 8.6 Dependencies between the library and other packages - the shlibs system ]
| If a package contains a binary or library which links to a shared library, we
| must ensure that when the package is installed on the system, all of the
| libraries needed are also installed. This requirement led to the creation of the
| shlibs system, which is very simple in its design: any package which provides a
| shared library also provides information on the package dependencies required to
| ensure the presence of this library, and any package which uses a shared library
| uses this information to determine the dependencies it requires. The files which
| contain the mapping from shared libraries to the necessary dependency
| information are called shlibs files.
| 
| Thus, when a package is built which contains any shared libraries, it must
| provide a shlibs file for other packages to use, and when a package is built
| which contains any shared libraries or compiled binaries, it must run
| dpkg-shlibdeps on these to determine the libraries used and hence the
| dependencies needed by this package.
`----

,----[ 8.6.2 How to use dpkg-shlibdeps and the shlibs files ]
| Put a call to dpkg-shlibdeps into your debian/rules file. If your package
| contains only compiled binaries and libraries (but no scripts), you can use a
| command such as:
| 
|      dpkg-shlibdeps debian/tmp/usr/bin/* debian/tmp/usr/sbin/* \
|        debian/tmp/usr/lib/*
| 
| Otherwise, you will need to explicitly list the compiled binaries and
| libraries.[53]
| 
| This command puts the dependency information into the debian/substvars file,
| which is then used by dpkg-gencontrol. You will need to place a
| ${shlibs:Depends} variable in the Depends field in the control file for this to
| work.
`----

        manoj


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.31.4-anzu-2 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libgoffice-0-4-dbg depends on:
ii  libgoffice-0-4                0.4.2-4    Document centric objects library -

libgoffice-0-4-dbg recommends no packages.

libgoffice-0-4-dbg suggests no packages.




Information forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#553235; Package libgoffice-0-4-dbg. (Sat, 28 Nov 2009 23:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). (Sat, 28 Nov 2009 23:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 553235@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553235@bugs.debian.org
Subject: goffice0.4: diff for NMU version 0.4.2-4.1
Date: Sun, 29 Nov 2009 00:01:48 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've uploaded an NMU for goffice0.4 (versioned as 0.4.2-4.1). The diff
is attached to this message.

Cheers,
gregor, from the Munich BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #116:  the real ttys became pseudo ttys and vice-versa. 
[goffice0.4-0.4.2-4.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sun, 29 Nov 2009 00:06:08 GMT) Full text and rfc822 format available.

Notification sent to Manoj Srivastava <srivasta@debian.org>:
Bug acknowledged by developer. (Sun, 29 Nov 2009 00:06:08 GMT) Full text and rfc822 format available.

Message #15 received at 553235-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553235-close@bugs.debian.org
Subject: Bug#553235: fixed in goffice0.4 0.4.2-4.1
Date: Sun, 29 Nov 2009 00:03:05 +0000
Source: goffice0.4
Source-Version: 0.4.2-4.1

We believe that the bug you reported is fixed in the latest version of
goffice0.4, which is due to be installed in the Debian FTP archive:

goffice0.4_0.4.2-4.1.diff.gz
  to main/g/goffice0.4/goffice0.4_0.4.2-4.1.diff.gz
goffice0.4_0.4.2-4.1.dsc
  to main/g/goffice0.4/goffice0.4_0.4.2-4.1.dsc
libgoffice-0-4-dbg_0.4.2-4.1_i386.deb
  to main/g/goffice0.4/libgoffice-0-4-dbg_0.4.2-4.1_i386.deb
libgoffice-0-4_0.4.2-4.1_i386.deb
  to main/g/goffice0.4/libgoffice-0-4_0.4.2-4.1_i386.deb
libgoffice-0-common_0.4.2-4.1_all.deb
  to main/g/goffice0.4/libgoffice-0-common_0.4.2-4.1_all.deb
libgoffice-0-dev_0.4.2-4.1_i386.deb
  to main/g/goffice0.4/libgoffice-0-dev_0.4.2-4.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553235@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated goffice0.4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 28 Nov 2009 23:43:27 +0100
Source: goffice0.4
Binary: libgoffice-0-dev libgoffice-0-4-dbg libgoffice-0-4 libgoffice-0-common
Architecture: source all i386
Version: 0.4.2-4.1
Distribution: unstable
Urgency: low
Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libgoffice-0-4 - Document centric objects library - runtime files
 libgoffice-0-4-dbg - Document centric objects library - debugging files
 libgoffice-0-common - Document centric objects library - common files
 libgoffice-0-dev - Document centric objects library - runtime files
Closes: 553235
Changes: 
 goffice0.4 (0.4.2-4.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "missing-dependency-on-libc ... " by adding ${shlibs:Depends}
     (closes: #553235).
   * debian/control: replace ${Source-Version} with ${binary:Version}.
Checksums-Sha1: 
 5cc37b56bdf3d791502d10e75540e3fd11623732 2146 goffice0.4_0.4.2-4.1.dsc
 9758e7c62cdc9efc7ea90462c571acd9d114f08e 252635 goffice0.4_0.4.2-4.1.diff.gz
 00db7acb67fe89ccf0cae59c4b98e0cd8b2eb443 775010 libgoffice-0-common_0.4.2-4.1_all.deb
 36087a662151cb11b83703fda2374f28f69f1ec7 339890 libgoffice-0-dev_0.4.2-4.1_i386.deb
 3aa0e5a9df69d611f9e167869cf965cd39f41a45 1447702 libgoffice-0-4-dbg_0.4.2-4.1_i386.deb
 b666bc39c4458070e527877cdde7001132830621 634830 libgoffice-0-4_0.4.2-4.1_i386.deb
Checksums-Sha256: 
 2662989274d9bc44aebb66845efe032e61dec233eb4a8a7df923f6b3e90b8055 2146 goffice0.4_0.4.2-4.1.dsc
 5240d172449d8311272f04b54c6aa7604f66a0be935c33dca53673c3e7aefeca 252635 goffice0.4_0.4.2-4.1.diff.gz
 f5f3e57dd3780673039cb50e32c7f018ca803de32a2ac17b906d5a59c2b15cd3 775010 libgoffice-0-common_0.4.2-4.1_all.deb
 6cff8ecbf12b4ac6e689c0a932e19163e17199be116df7410f551fb4208966a1 339890 libgoffice-0-dev_0.4.2-4.1_i386.deb
 44fcc54457ace723020a08175a4f9bd706ff4e1a96c3ecc4206509f25b6b9e84 1447702 libgoffice-0-4-dbg_0.4.2-4.1_i386.deb
 21b70416025e0d1e980494c9fd4ce6487686f1a5eaec33baf2035282793be158 634830 libgoffice-0-4_0.4.2-4.1_i386.deb
Files: 
 d0d3d18052304da6ee379f8187c075c8 2146 oldlibs optional goffice0.4_0.4.2-4.1.dsc
 211f8f24b8cdfdb70908546c763c80ab 252635 oldlibs optional goffice0.4_0.4.2-4.1.diff.gz
 7e19747963093bca5e887ebbe346a681 775010 oldlibs optional libgoffice-0-common_0.4.2-4.1_all.deb
 bc3e816fdad1b2a9fb630d3541970b98 339890 libdevel optional libgoffice-0-dev_0.4.2-4.1_i386.deb
 bdfe0539e2a6e67474d48ce7b099f280 1447702 libdevel extra libgoffice-0-4-dbg_0.4.2-4.1_i386.deb
 7938ee5b796d0f5a2f41e094d4407424 634830 oldlibs optional libgoffice-0-4_0.4.2-4.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLEasfAAoJELs6aAGGSaoGBIEP/3tVTxCY2Zpxt8ofuKUqg5/b
Jat5ThrgJvDrZ1F977tTIZADnl5QAz1XgAi7oarORNDRnwRux2rE+R0dvCEcuPwY
mU1VGNRh5Uba/+Oj5OlxIFX4mLWEeJykzOuACSteBC6C/nRyqcx/2YBcEplYh3t7
eMQIH2K8TrYODKw1alOTpDNqoWKjSzt/pdniXKT7IlU0MFTppZqJamNl3J0ZuRe7
rkV1ed14A+lVaJPZQo6P66LwBswtM0xo2n7N6aVAAODUNF0BnSU6L8TrakGB2pLP
+J8se+u65i4qY3Wkpzcnx5ng11APjc8wOaaAtafB5gBzH0HDYNopdSzc59R3bFsS
+7T3d8LQ+dTQWyhXqvXzVQd77elzYCRNLHXY9uLJRoCIEjLfQwPGcwyR8mo6YIkU
v3uCiaSAS3zfXBOsWchmLyZ2obY9po/PECbFjS9Sp/nIcK/0LYxmhmS5nQ8RNEey
v6jIlSKYERchVL3eLjTFteryAmXQvALXlsm8t2r2hbg9X93jiIQwkrh4Kul97FEs
gKBstioZmvOsY0PolzSTo8OPNIpROlirmm2AJscMUiGs4cDf2LLNvk5vs3COeybR
VK7HWg9co3QFXXboOdw9e3Jaiwy8aBKHLwKs+t4pJQrfwlz1rwLNXrmzgCsEy3Xb
1f9llT4a52Ai2RWMknLy
=CrSN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 07:56:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:01:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.